Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmp
Class RevAnnContent

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmp.RevAnnContent

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class RevAnnContent
extends ASN1Object

RevAnnContent ::= SEQUENCE { status PKIStatus, certId CertId, willBeRevokedAt GeneralizedTime, badSinceDate GeneralizedTime, crlDetails Extensions OPTIONAL -- extra CRL details (e.g., crl number, reason, location, etc.) }

Constructor Summary
`RevAnnContent(PKIStatus status, CertId certId, ASN1GeneralizedTime willBeRevokedAt, ASN1GeneralizedTime badSinceDate)`
`RevAnnContent(PKIStatus status, CertId certId, ASN1GeneralizedTime willBeRevokedAt, ASN1GeneralizedTime badSinceDate, Extensions crlDetails)`

Method Summary
`ASN1GeneralizedTime` | `getBadSinceDate()`
`CertId` | `getCertId()`
`Extensions` | `getCrlDetails()`
`static RevAnnContent` | `getInstance(java.lang.Object o)`
`PKIStatus` | `getStatus()`
`ASN1GeneralizedTime` | `getWillBeRevokedAt()`
`ASN1Primitive` | `toASN1Primitive()` RevAnnContent ::= SEQUENCE { status PKIStatus, certId CertId, willBeRevokedAt GeneralizedTime, badSinceDate GeneralizedTime, crlDetails Extensions OPTIONAL -- extra CRL details (e.g., crl number, reason, location, etc.) }

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevAnnContent

    public RevAnnContent(PKIStatus status,
                         CertId certId,
                         ASN1GeneralizedTime willBeRevokedAt,
                         ASN1GeneralizedTime badSinceDate)

### RevAnnContent

    public RevAnnContent(PKIStatus status,
                         CertId certId,
                         ASN1GeneralizedTime willBeRevokedAt,
                         ASN1GeneralizedTime badSinceDate,
                         Extensions crlDetails)

Method Detail

### getInstance

    public static RevAnnContent getInstance(java.lang.Object o)

### getStatus

    public PKIStatus getStatus()

### getCertId

    public CertId getCertId()

### getWillBeRevokedAt

    public ASN1GeneralizedTime getWillBeRevokedAt()

### getBadSinceDate

    public ASN1GeneralizedTime getBadSinceDate()

### getCrlDetails

    public Extensions getCrlDetails()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  RevAnnContent ::= SEQUENCE { status PKIStatus, certId CertId, willBeRevokedAt GeneralizedTime, badSinceDate GeneralizedTime, crlDetails Extensions OPTIONAL -- extra CRL details (e.g., crl number, reason, location, etc.) }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a basic ASN.1 object representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD